From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 22 November 2008<P>

Being helpless to help is a painful thing.<BR>
<BR>
Especially for guys, I think; when you see a guy seeming distant when just emotional support would be helpful, sometimes it's because his inability to fix the root situation "for real" makes him feel powerless and ashamed.<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 22 November 2008<P>

And some things can't be helped, you just have to support the friend in the ways that only you can help...with your distractions of the problem along with reliance and caring. <BR>
<BR>
Anybody see the new James Bond yet? I'm on my way out to find winter shoes, do a taste testing of foods, and see that movie...see ya later for reviews.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 22 November 2008<P>

BK,<BR>
Let me know what you think of the JB movie....I'm anxious to see several movies by the end of the year...<BR>
CS%*
<HR>